summaryrefslogtreecommitdiff
path: root/app-crypt/pinentry-base
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-19 12:37:05 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-19 12:37:05 +0200
commit23eb9e15e1e7cb6abf7937799e31cd951bce04bf (patch)
treefb92180cc07e9270e0ea2adf0d65b8ffe6f9152e /app-crypt/pinentry-base
parenta5ae910fae4def8bea0cb7737f33e943e10eaa43 (diff)
Added app-crypt ebuilds
Diffstat (limited to 'app-crypt/pinentry-base')
-rw-r--r--app-crypt/pinentry-base/Manifest1
-rw-r--r--app-crypt/pinentry-base/files/pinentry-0.8.2-ncurses.patch25
-rw-r--r--app-crypt/pinentry-base/files/pinentry-0.8.2-texi.patch20
-rw-r--r--app-crypt/pinentry-base/pinentry-base-0.9.0.ebuild84
4 files changed, 130 insertions, 0 deletions
diff --git a/app-crypt/pinentry-base/Manifest b/app-crypt/pinentry-base/Manifest
new file mode 100644
index 00000000..f6e8451a
--- /dev/null
+++ b/app-crypt/pinentry-base/Manifest
@@ -0,0 +1 @@
+DIST pinentry-0.9.0.tar.bz2 464272 SHA256 90045a07ab8e1a8e1ecf5d19b51691f195525e579fa5d71d7e92c120b05490ab SHA512 2cc53a5c3852edaf6e940228d9b43fe4709344eba5fe230b7afd22b2c0239d0b258917d75661d80590b2d61c6fe9dac8ad15a0b4a0a0e7fba90a9e1c07364edd WHIRLPOOL 3f77a8aa2d44c7206d877e31088ec927473441e61f06e788330545d75ac489e6e9d5bf0026b23d0824304dad54ce8e61c4571d186df7ad0edc2d644ca3af04ac
diff --git a/app-crypt/pinentry-base/files/pinentry-0.8.2-ncurses.patch b/app-crypt/pinentry-base/files/pinentry-0.8.2-ncurses.patch
new file mode 100644
index 00000000..3bb92c63
--- /dev/null
+++ b/app-crypt/pinentry-base/files/pinentry-0.8.2-ncurses.patch
@@ -0,0 +1,25 @@
+From bafe8608fc525ef103b3d1f3048ca28958bef596 Mon Sep 17 00:00:00 2001
+From: Alon Bar-Lev <alon.barlev@gmail.com>
+Date: Sun, 5 May 2013 02:23:08 +0300
+Subject: [PATCH] ncurses: link with optional tinfo
+
+---
+ m4/curses.m4 | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/m4/curses.m4 b/m4/curses.m4
+index 3a01881..ffb6bd1 100644
+--- a/m4/curses.m4
++++ b/m4/curses.m4
+@@ -36,6 +36,8 @@ AC_DEFUN([IU_LIB_NCURSES], [
+ have_ncursesw=no
+ fi
+ if test "$LIBNCURSES"; then
++ AC_CHECK_LIB(tinfow, curs_set, LIBNCURSES="${LIBNCURSES} -ltinfow",
++ AC_CHECK_LIB(tinfo, curs_set, LIBNCURSES="${LIBNCURSES} -ltinfo"))
+ # Use ncurses header files instead of the ordinary ones, if possible;
+ # is there a better way of doing this, that avoids looking in specific
+ # directories?
+--
+1.8.1.5
+
diff --git a/app-crypt/pinentry-base/files/pinentry-0.8.2-texi.patch b/app-crypt/pinentry-base/files/pinentry-0.8.2-texi.patch
new file mode 100644
index 00000000..f036fa93
--- /dev/null
+++ b/app-crypt/pinentry-base/files/pinentry-0.8.2-texi.patch
@@ -0,0 +1,20 @@
+--- doc/gpl.texi 2013-06-09 10:50:53.990704797 +1200
++++ doc/gpl.texi 2013-06-09 10:51:25.310432565 +1200
+@@ -12,7 +12,7 @@
+ of this license document, but changing it is not allowed.
+ @end display
+
+-@appendixsubsec Preamble
++@appendixsec Preamble
+
+ The licenses for most software are designed to take away your
+ freedom to share and change it. By contrast, the GNU General Public
+@@ -63,7 +63,7 @@
+ modification follow.
+
+ @iftex
+-@appendixsubsec TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
++@appendixsec TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+ @end iftex
+ @ifinfo
+ @center TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
diff --git a/app-crypt/pinentry-base/pinentry-base-0.9.0.ebuild b/app-crypt/pinentry-base/pinentry-base-0.9.0.ebuild
new file mode 100644
index 00000000..e22651be
--- /dev/null
+++ b/app-crypt/pinentry-base/pinentry-base-0.9.0.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit autotools multilib eutils flag-o-matic
+
+MY_PN=${PN/-base}
+MY_P=${P/-base}
+DESCRIPTION="Collection of simple PIN or passphrase entry dialogs which utilize the Assuan protocol"
+HOMEPAGE="http://gnupg.org/aegypten2/index.html"
+SRC_URI="mirror://gnupg/${MY_PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~arm ~amd64 ~x86"
+IUSE="gtk qt4 caps static"
+
+RDEPEND="
+ app-admin/eselect-pinentry
+ caps? ( sys-libs/libcap )
+ sys-libs/ncurses
+ static? ( >=sys-libs/ncurses-5.7-r5[static-libs,-gpm] )
+ ppc-aix? ( dev-libs/gnulib )
+"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
+
+src_prepare() {
+ epatch "${FILESDIR}/${MY_PN}-0.8.2-ncurses.patch"
+ epatch "${FILESDIR}/${MY_PN}-0.8.2-texi.patch"
+ eautoreconf
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ if [[ ${CHOST} == *-aix* ]] ; then
+ append-flags -I"${EPREFIX}/usr/$(get_libdir)/gnulib/include"
+ append-ldflags -L"${EPREFIX}/usr/$(get_libdir)/gnulib/$(get_libdir)"
+ append-libs -lgnu
+ fi
+
+ econf \
+ --enable-pinentry-tty \
+ --disable-pinentry-gtk2 \
+ --enable-pinentry-curses \
+ --enable-fallback-curses \
+ --disable-pinentry-qt4 \
+ $(use_with caps libcap)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ default
+ rm -f "${ED}"/usr/bin/pinentry || die
+}
+
+pkg_postinst() {
+ if ! has_version 'app-crypt/pinentry-base'; then
+ # || has_version '<app-crypt/pinentry-0.7.3'; then
+ elog "We no longer install pinentry-curses and pinentry-qt SUID root by default."
+ elog "Linux kernels >=2.6.9 support memory locking for unprivileged processes."
+ elog "The soft resource limit for memory locking specifies the limit an"
+ elog "unprivileged process may lock into memory. You can also use POSIX"
+ elog "capabilities to allow pinentry to lock memory. To do so activate the caps"
+ elog "USE flag and add the CAP_IPC_LOCK capability to the permitted set of"
+ elog "your users."
+ fi
+ eselect pinentry update ifunset
+ use gtk && elog "If you want pinentry for Gtk+, please install app-crypt/pinentry-gtk."
+ use qt4 && elog "If you want pinentry for Qt4, please install app-crypt/pinentry-qt4."
+}
+
+pkg_postrm() {
+ eselect pinentry update ifunset
+}